Skip to content
Start here

DMARC Reports

Get DMARC Report Status
client.emailAuth.dmarcReports.get(DMARCReportGetParams { zone_id } params, RequestOptionsoptions?): DMARCReportGetResponse { approved_sources, created, created_at, 9 more }
GET/zones/{zone_id}/email/auth/dmarc-reports
Configure DMARC Reports
client.emailAuth.dmarcReports.edit(DMARCReportEditParams { zone_id, enabled, skip_wizard } params, RequestOptionsoptions?): DMARCReportEditResponse { approved_sources, created, created_at, 9 more }
PATCH/zones/{zone_id}/email/auth/dmarc-reports
ModelsExpand Collapse
DMARCReportGetResponse { approved_sources, created, created_at, 9 more }

Response for GET/PATCH /dmarc-reports

approved_sources?: Array<ApprovedSource>

List of approved sending sources (omitted when empty)

Deprecatedcreated?: string

Deprecated, use created_at

formatdate-time
created_at?: string

Creation timestamp

formatdate-time
domain?: string

The source domain

ips?: Array<string>

Resolved IP addresses from SPF

Deprecatedmodified?: string

Deprecated, use modified_at

formatdate-time
modified_at?: string

Last modification timestamp

formatdate-time
name?: string

Source name (typically same as domain)

slug?: string

URL-friendly identifier

tag?: string

Source UUID

Deprecatedcreated?: string

Deprecated, use created_at

formatdate-time
created_at?: string

Creation timestamp

formatdate-time
enabled?: boolean

Whether DMARC reports are enabled

Deprecatedmodified?: string

Deprecated, use modified_at

formatdate-time
modified_at?: string

Last modification timestamp

formatdate-time
records?: Records { bimi_records, cname_dkim_records, cname_dmarc_records, 4 more }

Live DNS records for the zone, grouped by type

bimi_records?: Array<BimiRecord>

BIMI TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_dkim_records?: Array<CnamedkimRecord>

CNAME records for DKIM

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_dmarc_records?: Array<CnamedmarcRecord>

CNAME records at _dmarc (problematic)

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_spf_records?: Array<CnamespfRecord>

CNAME records for SPF

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

dkim_records?: Array<DKIMRecord>

DKIM TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

dmarc_records?: Array<DMARCRecord>

DMARC TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

spf_records?: Array<SPFRecord>

SPF TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

rua_prefix?: string

Prefix for DMARC RUA addresses (32-char hex string)

skip_wizard?: boolean

Whether to skip the setup wizard

status?: "missing-dmarc-report" | "multiple-dmarc-reports" | "missing-dmarc-rua" | "cname-on-dmarc-record"

DMARC configuration status

One of the following:
"missing-dmarc-report"
"multiple-dmarc-reports"
"missing-dmarc-rua"
"cname-on-dmarc-record"
Deprecatedtag?: string

Use zone_id instead

zone_id?: string

Zone identifier

DMARCReportEditResponse { approved_sources, created, created_at, 9 more }

Response for GET/PATCH /dmarc-reports

approved_sources?: Array<ApprovedSource>

List of approved sending sources (omitted when empty)

Deprecatedcreated?: string

Deprecated, use created_at

formatdate-time
created_at?: string

Creation timestamp

formatdate-time
domain?: string

The source domain

ips?: Array<string>

Resolved IP addresses from SPF

Deprecatedmodified?: string

Deprecated, use modified_at

formatdate-time
modified_at?: string

Last modification timestamp

formatdate-time
name?: string

Source name (typically same as domain)

slug?: string

URL-friendly identifier

tag?: string

Source UUID

Deprecatedcreated?: string

Deprecated, use created_at

formatdate-time
created_at?: string

Creation timestamp

formatdate-time
enabled?: boolean

Whether DMARC reports are enabled

Deprecatedmodified?: string

Deprecated, use modified_at

formatdate-time
modified_at?: string

Last modification timestamp

formatdate-time
records?: Records { bimi_records, cname_dkim_records, cname_dmarc_records, 4 more }

Live DNS records for the zone, grouped by type

bimi_records?: Array<BimiRecord>

BIMI TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_dkim_records?: Array<CnamedkimRecord>

CNAME records for DKIM

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_dmarc_records?: Array<CnamedmarcRecord>

CNAME records at _dmarc (problematic)

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

cname_spf_records?: Array<CnamespfRecord>

CNAME records for SPF

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

dkim_records?: Array<DKIMRecord>

DKIM TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

dmarc_records?: Array<DMARCRecord>

DMARC TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

spf_records?: Array<SPFRecord>

SPF TXT records

id?: string

DNS record ID

content?: string

Record content

name?: string

DNS record name

ttl?: number

Time to live in seconds

type?: string

Record type

rua_prefix?: string

Prefix for DMARC RUA addresses (32-char hex string)

skip_wizard?: boolean

Whether to skip the setup wizard

status?: "missing-dmarc-report" | "multiple-dmarc-reports" | "missing-dmarc-rua" | "cname-on-dmarc-record"

DMARC configuration status

One of the following:
"missing-dmarc-report"
"multiple-dmarc-reports"
"missing-dmarc-rua"
"cname-on-dmarc-record"
Deprecatedtag?: string

Use zone_id instead

zone_id?: string

Zone identifier